/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Abner Jose de Faria Silva <abner.silva@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_SHELL_CONTACT_LIST_H__
#define __TAPIOCAUI_SHELL_CONTACT_LIST_H__

#include "tapiocaui_shell.h"
#include "tapiocaui_shell_priv.h"

// Contact list callbacks
void        tapiocaui_shell_contact_list_contact_authorized_cb     (TapiocaContactList *tcl,
                                                                    const gchar        *addr,
                                                                    gpointer            user_data);
void        tapiocaui_shell_contact_list_contact_denied_cb         (TapiocaContactList *tcl,
                                                                    const gchar        *addr,
                                                                    gpointer            user_data);
void        tapiocaui_shell_contact_list_auth_requested_cb         (TapiocaContactList  *tcl,
                                                                    const gchar         *addr,
                                                                    gpointer             user_data);
void        tapiocaui_shell_contact_list_contacts_retrieved_cb     (TapiocaContactList  *tcl,
                                                                    const gchar         *addr,
                                                                    const gchar         *alias,
                                                                    const gchar         *group,
                                                                    guint                state,
                                                                    gpointer             user_data);
void        tapiocaui_shell_contact_list_contact_info_retrieved_cb (TapiocaContactList  *tcl,
                                                                    const gchar         *addr,
                                                                    gpointer            *info,
                                                                    gpointer             user_data);
#endif
